@import url(../styles/filter.css);
@import url(../styles/modal-window.css);
@import url(../styles/adaptive.css);
@import url(../styles/modal-create.css);

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    display: flex;
    flex-direction: column;
    background-color: #ECE8DD;
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    color: #579BB1;
    min-height: 100vh;
    position: relative;
}

.main {
    flex: 1 0 auto;
}

.wrap-visit {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

textarea {
    max-height: 100px;
}

.header::after {
    content: "";
    width: 100%;
    border-top: 5px solid #0078E9;
    display: block;
}

.wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    display: flex;
    margin-left: 3%;
}

.logo-img {
    width: 50px;
    height: 50px;
    margin-top: 20px;
    margin-right: 10px;
}

.logo-text {
    /* text-transform: uppercase; */
    color: #0078E9;
    padding-top: 25px;
    font-family: 'Caveat', cursive;


}

.header-btn {
    width: 150px;
    height: 50px;
    border-radius: 50px;
    color: #ECE8DD;
    background-color: #0078E9;
    border: none;
    margin-inline: 5%;
    font-weight: 600;
    font-size: 24px;
    transition: .3s;
}

.header-btn:hover {
    cursor: pointer;
    border: 5px solid #73bafb;
}

/* .wrap-search {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-inline: 20px;
}

.search-title {
    position: relative;
}

.input-search {
    width: 750px;
    height: 30px;
    font-size: 18px;
    border: 1px solid forestgreen;
    border-radius: 3px;
    margin-top: 20px;
    padding-left: 5px;
} */

/* .fa-solid {
    position: absolute;
    left: 95%;
    top: 30px;
    color: forestgreen;
}

.select {
    height: 33px;
    font-size: 18px;
    border: 1px solid forestgreen;
    border-radius: 3px;
    margin-top: 20px;
    padding-left: 5px;
}

.btn-search {
    width: 150px;
    height: 34px;
    border: 5px solid forestgreen;
    border-radius: 10px;
    color: forestgreen;
    background-color: white;
    font-weight: 700;
    font-size: 18px;
    margin-top: 20px;
} */

.first-vizit {
    color: #0060b9;
    font-size: 20px;
    text-align: center;
    margin-top: 30px;
}

.footer {
    flex: 0 0 50px;
    background-color: #0078E9;
    color: #ECE8DD;
    padding-top: 20px;
    margin-top: 20px;
}

.footer-text {
    color: wheat;
    text-align: center;
}

.card {
    width: 688px;
    background-color: #c5def6;
    border: #0060b9 3px solid;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transform: translate(362px, 17px);
    color: rgb(0, 0, 0);
    margin-bottom: 15px;
    padding: 10px 15px;
    border-radius: 3px;
}

.card-body {
    height: 0;
    visibility: hidden;
}

.card.open .card-body {
    height: 100%;
    visibility: visible;
}



/* ===== Modal window (authorization) ===== */


/* ===== ADAPTIVE Modal window (authorization) ===== */
@media (max-width: 500px) {
    .modal {
        width: 100%;
    }
    .pass-icon {
        left: 390px;
    }
    .input-label {
        margin-left: 10px;
    }
}

@media (max-width: 434px) {
    .modal {
        font-size: 20px;
    }
    .input-label {
        display: flex;
        flex-direction: column;
        margin-top: 32px;
    }
    .pass-icon {
        left: 250px;
    }
}

.modal-error {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: 100px;
    color: brown;
    font-size: 20px;
    font-weight: 700;
    border: 2px solid brown;
    border-radius: 20px;
    background-color: white;
    text-align: center;
    position: absolute;
    top: 200px;
    left: 50%;
    transform: translate(-50%);
}

.err-delete {
    color: brown;
    left: 90%;
}

/* ===== END Modal window (authorization) ===== */

/* ===== Modal CREATE VISIT ===== */



/* ===== END Modal CREATE VISIT ===== */